package com.unibuy.smartdevice.structure;

public class DispatchStructure {
    private int field;
    private int slot;
    private ProductStructure product;
    private int count;
    private int quantity;
    private boolean isShipped;
    private boolean isFreeGift;
    private boolean isGetProductComplete = false;

    public DispatchStructure(int field, int slot, ProductStructure product, int quantity) {
        this.field = field;
        this.slot = slot;
        this.product = product;
        this.count = 0;
        this.quantity = quantity;
        this.isShipped = false;
        this.isFreeGift = false;
    }

    public int getField() {
        return field;
    }

    public void setField(int field) {
        this.field = field;
    }

    public int getSlot() {
        return this.slot;
    }

    public void setSlot(int slot) {
        this.slot = slot;
    }
    public ProductStructure getProduct() {
        return this.product;
    }

    public int getCount() {
        return count;
    }

    public void setCount(int count) {
        this.count = count;
    }

    public void setProduct(ProductStructure product) {
        this.product = product;
    }

    public int getQuantity() {
        return quantity;
    }

    public void setQuantity(int quantity) {
        this.quantity = quantity;
    }

    public boolean isShipped() {
        return isShipped;
    }

    public void setShipped(boolean shipped) {
        isShipped = shipped;
    }

    public boolean isFreeGift() {
        return isFreeGift;
    }

    public void setFreeGift(boolean freeGift) {
        isFreeGift = freeGift;
    }
    public boolean isGetProductComplete() {
        return isGetProductComplete;
    }

    public void setGetProductComplete(boolean getProductComplete) {
        isGetProductComplete = getProductComplete;
    }
}
